@Echo Off
Rem 4 Dimension Client
Rem Multi-User Application Compatibility Script
Rem Logon script v1.0 :
Rem Francesco Dipietromaria


Rem
Rem  NOTE:  The CACLS commands in this script are only effective
Rem         on NTFS formatted partitions.
Rem

Rem #########################################################################

Rem
Rem Verify that %RootDrive% has been configured and set it for this script.
Rem

Call "%SystemRoot%\Application Compatibility Scripts\ChkRoot.Cmd"
If "%_CHKROOT%" == "FAIL" Goto Done

..\acsr "#ROOTDRIVE#" "%RootDrive%" Template\notes.ini ..\logon\template\notes.ini

Rem #########################################################################

FindStr /I 4DClientUsr.cmd %SystemRoot%\System32\UsrLogn2.Cmd >Nul: 2>&1
If Not ErrorLevel 1 Goto Skip1
Echo Call 4DClientUsr.cmd >> %SystemRoot%\System32\UsrLogn2.Cmd
:Skip1

Echo.
Echo   To insure proper operation of 4D Client, users who are
Echo   currently logged on must log off and log on again before
Echo   running 4D Client application.
Echo.
Echo 4D Client Multi-user Application Tuning Complete
Pause

:done